DRM_EDID_TO_SAD(9)

NAME
drm_edid_to_sad - extracts SADs from EDID

SYNOPSIS

int drm_edid_to_sad(struct edid * edid, struct cea_sad ** sads);

ARGUMENTS

edid
    EDID to parse

sads
    pointer that will be set to the extracted SADs

DESCRIPTION

Looks for CEA EDID block and extracts SADs (Short Audio Descriptors) from it.

NOTE

The returned pointer needs to be freed using kfree.

RETURN

The number of found SADs or negative number on error.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT